<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    android:orientation="vertical">

    <include
        android:id="@+id/toolbar"
        layout="@layout/detail_toolbar" />

    <ScrollView
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/toolbar">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="13.3dp"
                    android:layout_marginTop="13.3dp"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:text="썸네일"
                    android:textColor="@color/color_eeeeee"
                    android:textSize="16.7sp" />

                <RelativeLayout
                    android:layout_width="121.3dp"
                    android:layout_height="106.7dp"
                    android:layout_marginTop="13.3dp">

                    <ImageView
                        android:id="@+id/iv_cover"
                        android:layout_width="106.7dp"
                        android:layout_height="106.7dp"
                        android:adjustViewBounds="true"
                        android:background="@drawable/bg_round_corner_13_3_3e3358"
                        android:contentDescription="@null"
                        android:padding="13.3dp"
                        android:src="@drawable/ic_logo" />

                    <ImageView
                        android:id="@+id/iv_photo_picker"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_alignParentBottom="true"
                        android:background="@drawable/bg_round_corner_33_3_9970ff"
                        android:contentDescription="@null"
                        android:padding="10dp"
                        android:src="@drawable/ic_camera" />
                </RelativeLayout>
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="6.7dp"
                android:layout_marginVertical="26.7dp"
                android:background="@color/color_232323" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="13.3dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:text="제목"
                    android:textColor="@color/color_eeeeee"
                    android:textSize="16.7sp" />

                <EditText
                    android:id="@+id/et_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="13.3dp"
                    android:background="@drawable/bg_round_corner_6_7_222222"
                    android:fontFamily="@font/gmarket_sans_medium"
                    android:hint="제목을 입력하세요."
                    android:importantForAutofill="no"
                    android:inputType="textWebEditText"
                    android:paddingHorizontal="13.3dp"
                    android:paddingVertical="17dp"
                    android:textColor="@color/color_eeeeee"
                    android:textColorHint="@color/color_777777"
                    android:textCursorDrawable="@drawable/edit_text_cursor"
                    android:textSize="13.3sp"
                    android:theme="@style/EditTextStyle"
                    tools:ignore="LabelFor" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="13.3dp"
                android:layout_marginTop="30dp"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:fontFamily="@font/gmarket_sans_bold"
                        android:lineSpacingExtra="5sp"
                        android:text="내용"
                        android:textColor="@color/color_eeeeee"
                        android:textSize="16.7sp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true">

                        <TextView
                            android:id="@+id/tv_number_of_characters"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:text="0자"
                            android:textColor="@color/color_ff5c49"
                            android:textSize="13.3sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:text=" / 최대 500자"
                            android:textColor="@color/color_777777"
                            android:textSize="13.3sp" />

                    </LinearLayout>
                </RelativeLayout>

                <EditText
                    android:id="@+id/et_detail"
                    android:layout_width="match_parent"
                    android:layout_height="200dp"
                    android:layout_marginTop="6.7dp"
                    android:background="@drawable/bg_round_corner_6_7_222222"
                    android:fontFamily="@font/gmarket_sans_medium"
                    android:gravity="top"
                    android:hint="내용을 입력하세요"
                    android:importantForAutofill="no"
                    android:inputType="textMultiLine"
                    android:padding="20dp"
                    android:textColor="@color/color_eeeeee"
                    android:textColorHint="@color/color_777777"
                    android:textCursorDrawable="@drawable/edit_text_cursor"
                    android:textSize="13.3sp"
                    tools:ignore="LabelFor" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="6.7dp"
                android:layout_marginVertical="26.7dp"
                android:background="@color/color_232323" />

            <LinearLayout
                android:id="@+id/ll_set_adult"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="13.3dp"
                android:layout_marginTop="30dp"
                android:orientation="vertical"
                android:visibility="gone">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:lineSpacingExtra="5sp"
                    android:text="연령 제한"
                    android:textColor="@color/color_eeeeee"
                    android:textSize="16.7sp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="13.3dp"
                    android:baselineAligned="false">

                    <LinearLayout
                        android:id="@+id/ll_age_all"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/bg_round_corner_6_7_1f1734"
                        android:gravity="center"
                        android:paddingVertical="14.3dp">

                        <ImageView
                            android:id="@+id/iv_age_all"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="6.7dp"
                            android:contentDescription="@null"
                            android:src="@drawable/ic_select_check"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/tv_age_all"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:text="전체 연령"
                            android:textColor="@color/color_9970ff"
                            android:textSize="14.7sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_age_19"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="13.3dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_round_corner_6_7_1f1734"
                        android:gravity="center"
                        android:paddingVertical="14.3dp">

                        <ImageView
                            android:id="@+id/iv_age_19"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="6.7dp"
                            android:contentDescription="@null"
                            android:src="@drawable/ic_select_check"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/tv_age_19"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:text="19세 이상"
                            android:textColor="@color/color_9970ff"
                            android:textSize="14.7sp" />
                    </LinearLayout>
                </LinearLayout>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="13.3dp"
                    android:fontFamily="@font/gmarket_sans_medium"
                    android:text="성인콘텐츠를 전체관람가로 등록할 시 발생하는 법적 책임은 회사와 상관 없이 콘텐츠를 등록한 본인에게 있습니다.\n콘텐츠 내용은 물론 제목도 19금 여부를 체크해 주시기 바랍니다."
                    android:textColor="@color/color_dd4500"
                    android:textSize="13.3sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_set_comment"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="13.3dp"
                android:layout_marginTop="30dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:lineSpacingExtra="5sp"
                    android:text="댓글 가능 여부"
                    android:textColor="@color/color_eeeeee"
                    android:textSize="16.7sp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="13.3dp"
                    android:baselineAligned="false">

                    <LinearLayout
                        android:id="@+id/ll_comment_yes"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/bg_round_corner_6_7_1f1734"
                        android:gravity="center"
                        android:paddingVertical="14.3dp">

                        <ImageView
                            android:id="@+id/iv_comment_yes"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="6.7dp"
                            android:contentDescription="@null"
                            android:src="@drawable/ic_select_check"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/tv_comment_yes"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:text="댓글 가능"
                            android:textColor="@color/color_9970ff"
                            android:textSize="14.7sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_comment_no"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="13.3dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_round_corner_6_7_1f1734"
                        android:gravity="center"
                        android:paddingVertical="14.3dp">

                        <ImageView
                            android:id="@+id/iv_comment_no"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="6.7dp"
                            android:contentDescription="@null"
                            android:src="@drawable/ic_select_check"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/tv_comment_no"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:text="댓글 불가"
                            android:textColor="@color/color_9970ff"
                            android:textSize="14.7sp" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="34dp"
                android:background="@drawable/bg_top_round_corner_16_7_222222"
                android:orientation="horizontal"
                android:padding="13.3dp">

                <TextView
                    android:id="@+id/tv_cancel"
                    android:layout_width="0dp"
                    android:layout_height="50dp"
                    android:layout_marginEnd="6.7dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_round_corner_6_7_1f1734_9970ff"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:gravity="center"
                    android:text="취소"
                    android:textColor="@color/color_9970ff"
                    android:textSize="18.3sp" />

                <TextView
                    android:id="@+id/tv_modify"
                    android:layout_width="0dp"
                    android:layout_height="50dp"
                    android:layout_marginStart="6.7dp"
                    android:layout_weight="1"
                    android:background="@drawable/bg_round_corner_6_7_9970ff"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:gravity="center"
                    android:text="수정"
                    android:textColor="@color/white"
                    android:textSize="18.3sp" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>
